from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDispatchRecorder(XInterface, Protocol):
    def startRecording(self, Frame: XFrame) -> None: ...
    def endRecording(self) -> None: ...
    def recordDispatch(self, URL: URL, Arguments: PropertyValue>) -> None: ...
    def recordDispatchAsComment(self, URL: URL, Arguments: PropertyValue>) -> None: ...
    def getRecordedMacro(self) -> str: ...
